#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,k,meta,promene=0,brojac=0;
    cin >> n >> k;
    vector<int> mesta(n*2+1,0);
    vector<int> gde(n*2+1,0);
    for(int i=0;i<n;i++){
        cin >> meta;
        mesta[n+meta]++;
        if(mesta[n+meta]==k){
            mesta[n+meta]=0;
            gde[brojac]=meta;
            promene++;
            brojac++;
        }
    }
    cout << promene << endl;
    for(int i=0;i<brojac;i++){
        cout << gde[i] << " " ;
    }
    cout << endl;

    return 0;
}